Package com.independentsoft.office.word.numbering

# Class AbstractNumbering

java.lang.Object
com.independentsoft.office.word.numbering.AbstractNumbering

public class AbstractNumbering extends Object
The Class AbstractNumbering.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractNumbering()`
  Instantiates a new abstract numbering.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractNumbering`
  `clone()`
  `int`
  `getID()`
  Gets the id.
  `List<NumberingLevel>`
  `getLevels()`
  Gets the levels.
  `MultiLevelType`
  `getMultiLevelType()`
  Gets the multi level type.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getParentID()`
  Gets the parent id.
  `String`
  `getRestartNumberingAfterBreak()`
  Gets the w15:restartNumberingAfterBreak attribute value ("0"/"1"), or `null` if the attribute is absent.
  `String`
  `getStyleName()`
  Gets the style name.
  `String`
  `getStyleReference()`
  Gets the style reference.
  `String`
  `getTemplateCode()`
  Gets the template code.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setMultiLevelType​(MultiLevelType multiLevelType)`
  Sets the multi level type.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setParentID​(String parentID)`
  Sets the parent id.
  `void`
  `setRestartNumberingAfterBreak​(String restartNumberingAfterBreak)`
  Sets the w15:restartNumberingAfterBreak attribute value ("0"/"1").
  `void`
  `setStyleName​(String styleName)`
  Sets the style name.
  `void`
  `setStyleReference​(String styleReference)`
  Sets the style reference.
  `void`
  `setTemplateCode​(String templateCode)`
  Sets the template code.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractNumbering

    public AbstractNumbering()
    Instantiates a new abstract numbering.

- ## Method Details

  - ### clone

    public AbstractNumbering clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getLevels

    public List<NumberingLevel> getLevels()
    Gets the levels.
    Returns:
      the levels

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getParentID

    public String getParentID()
    Gets the parent id.
    Returns:
      the parent id

  - ### setParentID

    public void setParentID​(String parentID)
    Sets the parent id.
    Parameters:
      `parentID` - the new parent id

  - ### getStyleName

    public String getStyleName()
    Gets the style name.
    Returns:
      the style name

  - ### setStyleName

    public void setStyleName​(String styleName)
    Sets the style name.
    Parameters:
      `styleName` - the new style name

  - ### getStyleReference

    public String getStyleReference()
    Gets the style reference.
    Returns:
      the style reference

  - ### setStyleReference

    public void setStyleReference​(String styleReference)
    Sets the style reference.
    Parameters:
      `styleReference` - the new style reference

  - ### getTemplateCode

    public String getTemplateCode()
    Gets the template code.
    Returns:
      the template code

  - ### setTemplateCode

    public void setTemplateCode​(String templateCode)
    Sets the template code.
    Parameters:
      `templateCode` - the new template code

  - ### getRestartNumberingAfterBreak

    public String getRestartNumberingAfterBreak()
    Gets the w15:restartNumberingAfterBreak attribute value ("0"/"1"), or `null` if the attribute is absent.
    Returns:
      the restart-numbering-after-break value

  - ### setRestartNumberingAfterBreak

    public void setRestartNumberingAfterBreak​(String restartNumberingAfterBreak)
    Sets the w15:restartNumberingAfterBreak attribute value ("0"/"1"). Use `null` to omit the attribute.
    Parameters:
      `restartNumberingAfterBreak` - the new value

  - ### getMultiLevelType

    public MultiLevelType getMultiLevelType()
    Gets the multi level type.
    Returns:
      the multi level type

  - ### setMultiLevelType

    public void setMultiLevelType​(MultiLevelType multiLevelType)
    Sets the multi level type.
    Parameters:
      `multiLevelType` - the new multi level type